--- !ruby/object:RI::MethodDescription 
aliases: 
- !ruby/object:RI::AliasName 
  name: names
block_params: name
comment: 
- !ruby/struct:SM::Flow::P 
  body: Returns an array of names from all OS records, and passes them each to a block if one is given
full_name: Nmap::Parser::Host::OS#all_names
is_singleton: false
name: all_names
params: () {|name| ...}
visibility: public
